Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
SignatureVerifyResult Class Reference
Inheritance diagram for SignatureVerifyResult:

## Public Member Functions
| GetCertificateVerifyResults ()
| Get certificate verify results. More...
| GetLTVState ()
| Get LTV state that indicates if a signature is a LTV signature. More...
| GetOCSPSigantureVerifyResults ()
| Get signature verify results for OCSP signature of each certificate. More...
| GetSignatureCheckTime ()
| Get the time that is actually used to check signature. More...
| GetSignatureCheckTimeType ()
| Get the type of the time that is actually used to check siganture. More...
| GetSignatureHashValue ()
| Get signature hash value. More...
| GetSignatureName ()
| Get signature name. More...
| GetSignatureState ()
| Get signature state. More...
| GetTSTSignatureVerifyResult ()
| Get the verify result of time stamp token of this signature. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_LTVStateEnable
| This means LTV is enabled.
static | e_LTVStateInactive
| Enumeration for LTV state that indicates if a signature is a LTV signature. More...
static | e_LTVStateNotEnable
| This means LTV is not enabled.

## Detailed Description

This class represents signature verify result.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetCertificateVerifyResults()

SignatureVerifyResult.GetCertificateVerifyResults | ( |  | ) |

Get certificate verify results.

Returns
  An array of certificate verify results.

## ◆ GetLTVState()

SignatureVerifyResult.GetLTVState | ( |  | ) |

Get LTV state that indicates if a signature is a LTV signature.

Returns
  LTV state.

## ◆ GetOCSPSigantureVerifyResults()

SignatureVerifyResult.GetOCSPSigantureVerifyResults | ( |  | ) |

Get signature verify results for OCSP signature of each certificate.

Returns
  An array of signature verify results.

## ◆ GetSignatureCheckTime()

SignatureVerifyResult.GetSignatureCheckTime | ( |  | ) |

Get the time that is actually used to check signature.

Returns
  The time that is actually used to check signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

## ◆ GetSignatureCheckTimeType()

SignatureVerifyResult.GetSignatureCheckTimeType | ( |  | ) |

Get the type of the time that is actually used to check siganture.

Returns
  Time type. Please refer to values starting from LTVVerifier.e_SignatureCreationTime and this would be one of these values

## ◆ GetSignatureHashValue()

SignatureVerifyResult.GetSignatureHashValue | ( |  | ) |

Get signature hash value.

Returns
  Signature hash value.

## ◆ GetSignatureName()

SignatureVerifyResult.GetSignatureName | ( |  | ) |

Get signature name.

Returns
  Signature name.

## ◆ GetSignatureState()

SignatureVerifyResult.GetSignatureState | ( |  | ) |

Get signature state.

Returns
  Signature state. Please refer to values starting from Signature.e_StateUnknown and this would be one or combination of them.

## ◆ GetTSTSignatureVerifyResult()

SignatureVerifyResult.GetTSTSignatureVerifyResult | ( |  | ) |

Get the verify result of time stamp token of this signature.

Returns
  Verify result of time stamp token of the signature. If the signature does not have any time stamp token, returned object would be an empty object which can be checked by function SignatureVerifyResult.IsEmpty.

## ◆ IsEmpty()

SignatureVerifyResult.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## Member Data Documentation

## ◆ e_LTVStateInactive

SignatureVerifyResult.e_LTVStateInactive
| static

Enumeration for LTV state that indicates if a signature is a LTV signature.

Values of this enumeration should be used alone.

This means LTV is inactive.